Bug 213990 - NetworkManager doesn't DHCP "send host-name"
NetworkManager doesn't DHCP "send host-name"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 07:24 EST by James
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 07:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2006-11-04 07:24:09 EST
Description of problem:
NetworkManager does not appear to instruct the DHCP client to "send host-name"
and update the local dynamic DNS, unless there already exist
/etc/dhclient-<interface>.conf files with the "send host-name" directive. This
makes it hard to use services on machines using NetworkManager for config.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.4-5.fc6
dhclient-3.0.4-21.fc6
dhcdbd-2.1-1.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Connect using NetworkManager.
2. Use host to test if the hostname has been set correctly.
  
Actual results:
Hostname not found, or IP address is incorrect.

Expected results:
Correct hostname/IP address association.

Note You need to log in before you can comment on or make changes to this bug.